Package com.independentsoft.office.word.customMarkup

# Class CustomXmlRun

java.lang.Object
com.independentsoft.office.word.customMarkup.CustomXmlRun

All Implemented Interfaces:
  `IContentElement`, `IContentRunContent`, `IParagraphContent`, `IRunTrackChangeContent`

public class CustomXmlRun extends Object implements IContentRunContent
The Class CustomXmlRun.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomXmlRun()`
  Instantiates a new custom xml run.
  `CustomXmlRun​(InternalXMLStreamReader reader)`
  Instantiates a new custom xml run.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(IParagraphContent contentElement)`
  Adds the.
  `void`
  `addRun​(Run run)`
  Adds the run.
  `void`
  `addSmartTag​(SmartTag smartTag)`
  Adds the smart tag.
  `CustomXmlRun`
  `clone()`
  `List<IParagraphContent>`
  `getContent()`
  Gets the content.
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `getName()`
  Gets the name.
  `String`
  `getNamespace()`
  Gets the namespace.
  `CustomXmlProperties`
  `getProperties()`
  Gets the properties.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setNamespace​(String namespace)`
  Sets the namespace.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CustomXmlRun

    public CustomXmlRun()
    Instantiates a new custom xml run.

  - ### CustomXmlRun

    public CustomXmlRun​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new custom xml run.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### addRun

    public void addRun​(Run run)
    Adds the run.
    Parameters:
      `run` - the run

  - ### addSmartTag

    public void addSmartTag​(SmartTag smartTag)
    Adds the smart tag.
    Parameters:
      `smartTag` - the smart tag

  - ### add

    public void add​(IParagraphContent contentElement)
    Adds the.
    Parameters:
      `contentElement` - the content element

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public CustomXmlRun clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IContentRunContent`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getNamespace

    public String getNamespace()
    Gets the namespace.
    Returns:
      the namespace

  - ### setNamespace

    public void setNamespace​(String namespace)
    Sets the namespace.
    Parameters:
      `namespace` - the new namespace

  - ### getContent

    public List<IParagraphContent> getContent()
    Gets the content.
    Returns:
      the content

  - ### getProperties

    public CustomXmlProperties getProperties()
    Gets the properties.
    Returns:
      the properties